#
# spec file for package open-plc-utils
#
%global _uid %(id -u)
%global _gid %(id -g)

Summary: 	Open version of the Qualcomm Atheros Powerline Toolkit
Name: 		open-plc-utils
Version: 	0.0.3
Release: 	1
Source:	 	https://codeload.github.com/qca/open-plc-utils/zip/master/open-plc-utils-master.zip
URL:		https://github.com/qca/open-plc-utils.git
License:	BSD
Vendor:		Qualcomm-Atheros <cmaier@qca.qualcomm.com>
Group: 		Productivity/Networking/Diagnostic
BuildRoot: 	{_tmppath}/%{name}-%{version}-build
AutoReqProv:	on 

%description
This package installs the tools required to configure Qualcomm-Atheros
Powerline devices on the network.

%package slac
License:        BSD
Summary:        SLAC tools of the Qualcomm Atheros Powerline Toolkit
Group:          Development/Tools/Other
AutoReqProv:    on

%description slac
This package installs the tools for Signal Level Attenuation Characterization.

%prep -q
%setup -n open-plc-utils-master 

%build
make

%install
rm -rf "%buildroot"
mkdir "%buildroot"
make ROOTFS="%buildroot" BIN="%buildroot/usr/bin" OWNER=%{_uid} GROUP=%{_gid} install
make ROOTFS="%buildroot" OWNER=%{_uid} GROUP=%{_gid} manuals 

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html
cp docbook/*.html docbook/*.png docbook/*.css $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html

%clean
rm -rf "%buildroot"

%files
%defattr (-,root,root)
%doc README 
%{_docdir}/%{name}-%{version}
%{_bindir}/CMEncrypt
%{_bindir}/ampID
%{_bindir}/ampboot
%{_bindir}/amphost
%{_bindir}/amplist
%{_bindir}/amprate
%{_bindir}/amprule
%{_bindir}/ampstat
%{_bindir}/amptest
%{_bindir}/amptone
%{_bindir}/amptool
%{_bindir}/ampwait
%{_bindir}/chknvm
%{_bindir}/chknvm2
%{_bindir}/chkpib
%{_bindir}/chkpib2
%{_bindir}/config2cfg
%{_bindir}/coqos_add
%{_bindir}/coqos_info
%{_bindir}/coqos_man
%{_bindir}/coqos_mod
%{_bindir}/coqos_rel
%{_bindir}/edru
%{_bindir}/edsu
%{_bindir}/efbu
%{_bindir}/efeu
%{_bindir}/efru
%{_bindir}/efsu
%{_bindir}/getpib
%{_bindir}/hpav
%{_bindir}/hpavkey
%{_bindir}/hpavkeys
%{_bindir}/int64host
%{_bindir}/int6k
%{_bindir}/int6kbaud
%{_bindir}/int6kboot
%{_bindir}/int6kdetect
%{_bindir}/int6keth
%{_bindir}/int6kf
%{_bindir}/int6khost
%{_bindir}/int6kid
%{_bindir}/int6klist
%{_bindir}/int6klog
%{_bindir}/int6kmdio
%{_bindir}/int6kmdio2
%{_bindir}/int6kmod
%{_bindir}/int6krate
%{_bindir}/int6krule
%{_bindir}/int6kstat
%{_bindir}/int6ktest
%{_bindir}/int6ktone
%{_bindir}/int6kuart
%{_bindir}/int6kwait
%{_bindir}/mac2pw
%{_bindir}/mac2pwd
%{_bindir}/mdioblock
%{_bindir}/mdioblock2
%{_bindir}/mdiodump
%{_bindir}/mdiogen
%{_bindir}/mdustats
%{_bindir}/mme
%{_bindir}/modpib
%{_bindir}/nics
%{_bindir}/nvmmerge
%{_bindir}/nvmsplit
%{_bindir}/pib2xml
%{_bindir}/pibcomp
%{_bindir}/pibdump
%{_bindir}/pibruin
%{_bindir}/pibrump
%{_bindir}/plcID
%{_bindir}/plcboot
%{_bindir}/plcdevs
%{_bindir}/plcfwd
%{_bindir}/plcget
%{_bindir}/plchost
%{_bindir}/plchostd
%{_bindir}/plchostd2
%{_bindir}/plclist
%{_bindir}/plclog
%{_bindir}/plcmdio16
%{_bindir}/plcmdio32
%{_bindir}/plcotst
%{_bindir}/plcrate
%{_bindir}/plcrule
%{_bindir}/plcset
%{_bindir}/plcstat
%{_bindir}/plctest
%{_bindir}/plctone
%{_bindir}/plctool
%{_bindir}/plcwait
%{_bindir}/psgraph
%{_bindir}/psin
%{_bindir}/pskey
%{_bindir}/psnotch
%{_bindir}/psout
%{_bindir}/ptsctl
%{_bindir}/rkey
%{_bindir}/sada
%{_bindir}/sdram
%{_bindir}/setpib
%{_bindir}/ttycat
%{_bindir}/ttyrecv
%{_bindir}/ttysend
%{_bindir}/ttysig
%{_bindir}/weeder
%{_bindir}/xml2pib
%{_mandir}/man1/CMEncrypt.1.gz
%{_mandir}/man1/ampID.1.gz
%{_mandir}/man1/ampboot.1.gz
%{_mandir}/man1/amphost.1.gz
%{_mandir}/man1/amplist.1.gz
%{_mandir}/man1/amprate.1.gz
%{_mandir}/man1/amprule.1.gz
%{_mandir}/man1/ampstat.1.gz
%{_mandir}/man1/amptest.1.gz
%{_mandir}/man1/amptone.1.gz
%{_mandir}/man1/amptool.1.gz
%{_mandir}/man1/ampwait.1.gz
%{_mandir}/man1/chknvm.1.gz
%{_mandir}/man1/chknvm2.1.gz
%{_mandir}/man1/chkpib.1.gz
%{_mandir}/man1/chkpib2.1.gz
%{_mandir}/man1/config2cfg.1.gz
%{_mandir}/man1/coqos_add.1.gz
%{_mandir}/man1/coqos_info.1.gz
%{_mandir}/man1/coqos_man.1.gz
%{_mandir}/man1/coqos_mod.1.gz
%{_mandir}/man1/coqos_rel.1.gz
%{_mandir}/man1/edru.1.gz
%{_mandir}/man1/edsu.1.gz
%{_mandir}/man1/efbu.1.gz
%{_mandir}/man1/efeu.1.gz
%{_mandir}/man1/efru.1.gz
%{_mandir}/man1/efsu.1.gz
%{_mandir}/man1/getpib.1.gz
%{_mandir}/man1/hpav.1.gz
%{_mandir}/man1/hpavkey.1.gz
%{_mandir}/man1/hpavkeys.1.gz
%{_mandir}/man1/int64host.1.gz
%{_mandir}/man1/int6k.1.gz
%{_mandir}/man1/int6kbaud.1.gz
%{_mandir}/man1/int6kboot.1.gz
%{_mandir}/man1/int6kdetect.1.gz
%{_mandir}/man1/int6keth.1.gz
%{_mandir}/man1/int6kf.1.gz
%{_mandir}/man1/int6khost.1.gz
%{_mandir}/man1/int6kid.1.gz
%{_mandir}/man1/int6klist.1.gz
%{_mandir}/man1/int6klog.1.gz
%{_mandir}/man1/int6kmdio.1.gz
%{_mandir}/man1/int6kmdio2.1.gz
%{_mandir}/man1/int6kmod.1.gz
%{_mandir}/man1/int6krate.1.gz
%{_mandir}/man1/int6krule.1.gz
%{_mandir}/man1/int6kstat.1.gz
%{_mandir}/man1/int6ktest.1.gz
%{_mandir}/man1/int6ktone.1.gz
%{_mandir}/man1/int6kuart.1.gz
%{_mandir}/man1/int6kwait.1.gz
%{_mandir}/man1/mac2pw.1.gz
%{_mandir}/man1/mac2pwd.1.gz
%{_mandir}/man1/mdioblock.1.gz
%{_mandir}/man1/mdioblock2.1.gz
%{_mandir}/man1/mdiodump.1.gz
%{_mandir}/man1/mdustats.1.gz
%{_mandir}/man1/mme.1.gz
%{_mandir}/man1/modpib.1.gz
%{_mandir}/man1/nics.1.gz
%{_mandir}/man1/nvmmerge.1.gz
%{_mandir}/man1/nvmsplit.1.gz
%{_mandir}/man1/pcapdevs.1.gz
%{_mandir}/man1/pib2xml.1.gz
%{_mandir}/man1/pibcomp.1.gz
%{_mandir}/man1/pibdump.1.gz
%{_mandir}/man1/pibruin.1.gz
%{_mandir}/man1/pibrump.1.gz
%{_mandir}/man1/plc.1.gz
%{_mandir}/man1/plcID.1.gz
%{_mandir}/man1/plcboot.1.gz
%{_mandir}/man1/plcdevs.1.gz
%{_mandir}/man1/plcfwd.1.gz
%{_mandir}/man1/plcget.1.gz
%{_mandir}/man1/plchost.1.gz
%{_mandir}/man1/plchostd.1.gz
%{_mandir}/man1/plchostd2.1.gz
%{_mandir}/man1/plclist.1.gz
%{_mandir}/man1/plclog.1.gz
%{_mandir}/man1/plcmdio16.1.gz
%{_mandir}/man1/plcmdio32.1.gz
%{_mandir}/man1/plcotst.1.gz
%{_mandir}/man1/plcrate.1.gz
%{_mandir}/man1/plcrule.1.gz
%{_mandir}/man1/plcset.1.gz
%{_mandir}/man1/plcstat.1.gz
%{_mandir}/man1/plctest.1.gz
%{_mandir}/man1/plctone.1.gz
%{_mandir}/man1/plctool.1.gz
%{_mandir}/man1/plcwait.1.gz
%{_mandir}/man1/psgraph.1.gz
%{_mandir}/man1/psin.1.gz
%{_mandir}/man1/pskey.1.gz
%{_mandir}/man1/psnotch.1.gz
%{_mandir}/man1/psout.1.gz
%{_mandir}/man1/ptsctl.1.gz
%{_mandir}/man1/rkey.1.gz
%{_mandir}/man1/sada.1.gz
%{_mandir}/man1/sdram.1.gz
%{_mandir}/man1/setpib.1.gz
%{_mandir}/man1/ttycat.1.gz
%{_mandir}/man1/ttyrecv.1.gz
%{_mandir}/man1/ttysend.1.gz
%{_mandir}/man1/ttysig.1.gz
%{_mandir}/man1/weeder.1.gz
%{_mandir}/man1/xml2pib.1.gz

%files slac
%defattr (-,root,root)
%{_bindir}/evse
%{_bindir}/pev
%{_mandir}/man1/evse.1.gz
%{_mandir}/man1/pev.1.gz

%changelog
* Thu Nov 14 2013 Stefan Wahren <stefan.wahren@i2se.com> - 0.0.3-1
- Update License
- Add new package slac 

* Sat Aug 31 2013 Stefan Wahren <stefan.wahren@i2se.com> - 0.0.2-1
- Initial package based on the debian branch
